Skip to main content
POST
/
v1
/
web
/
content
Get raw HTML content from a web page
curl --request POST \
  --url https://api.weblinq.dev/v1/web/content \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "waitTime": 0
}
'
import requests

url = "https://api.weblinq.dev/v1/web/content"

payload = {
"url": "<string>",
"waitTime": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', waitTime: 0})
};

fetch('https://api.weblinq.dev/v1/web/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "content": "<string>",
    "metadata": {
      "url": "<string>",
      "timestamp": "<string>",
      "contentType": "<string>",
      "title": "<string>",
      "description": "<string>"
    }
  },
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timestamp": "2023-11-07T05:31:56Z",
  "creditsCost": 123
}
{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}
{
"success": false,
"error": {
"issues": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"path": [
"url"
],
"message": "Required"
}
],
"name": "ZodError"
}
}
{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}

Authorizations

Authorization
string
header
required

Enter your API token or session token

Body

application/json

Content extraction parameters

url
string<uri>
required
waitTime
integer
default:0
Required range: 0 <= x <= 5000

Response

HTML content retrieved successfully

success
enum<boolean>
required
Available options:
true
data
object
required
requestId
string<uuid>
required

Unique request identifier for tracing

timestamp
string<date-time>
required

ISO timestamp when the response was generated

creditsCost
number

Credits consumed by this operation